Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask.guide
Class Sphinx4

    java.lang.Object
      edu.wpi.cetask.guide.Sphinx4

All Implemented Interfaces:
  SpeechGuide.Recognizer

    public class Sphinx4

extends Object
implements SpeechGuide.Recognizer

Method Summary
`void` | `deallocate()` Free up threads, etc., so can exit cleanly
`Object` | `interpret(String utterance)`
`void` | `loadGrammar(String uri)` Load and start using specified grammar (replaces current grammar)
`String` | `recognize()` Turn on microphone for one utterance (automatic endpointing)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### recognize

    public String recognize()

  Description copied from interface: `SpeechGuide.Recognizer`
  Turn on microphone for one utterance (automatic endpointing)

  Specified by:
    `recognize` in interface `SpeechGuide.Recognizer`
  Returns:
    recognized string

### interpret

    public Object interpret(String utterance)

  Specified by:
    `interpret` in interface `SpeechGuide.Recognizer`
  Parameters:
    `utterance` - - natural language string
  Returns:
    semantics of utterance

### loadGrammar

    public void loadGrammar(String uri)
                     throws IOException

  Description copied from interface: `SpeechGuide.Recognizer`
  Load and start using specified grammar (replaces current grammar)

  Specified by:
    `loadGrammar` in interface `SpeechGuide.Recognizer`
  Throws:
    `IOException`

### deallocate

    public void deallocate()

  Description copied from interface: `SpeechGuide.Recognizer`
  Free up threads, etc., so can exit cleanly

  Specified by:
    `deallocate` in interface `SpeechGuide.Recognizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD